# HG changeset patch
# Node ID 111bd91f1383
# Parent  4ba7001d8a86
diff --git a/libpurple/protocols/gg/gg.c b/libpurple/protocols/gg/gg.c
--- a/libpurple/protocols/gg/gg.c
+++ b/libpurple/protocols/gg/gg.c
@@ -1396,35 +1396,37 @@
 		NULL));
 }
 
-static gchar *
-plugin_extra(PurplePlugin *plugin)
-{
-	return g_strdup_printf("Using libgadu version %s", gg_libgadu_version());
-}
-
 static GPluginPluginInfo *
 gg_query(GError **error)
 {
+	GPluginPluginInfo *info = NULL;
+	gchar *description = NULL;
 	const gchar * const authors[] = {
 		"boler@sourceforge.net",
 		NULL
 	};
 
-	return purple_plugin_info_new(
+	description = g_strdup_printf(N_("Polish popular IM\nlibgadu version %s"),
+	                              gg_libgadu_version());
+
+	info = purple_plugin_info_new(
 		"id",           "prpl-gg",
 		"name",         "Gadu-Gadu Protocol",
 		"version",      DISPLAY_VERSION,
 		"category",     N_("Protocol"),
 		"summary",      N_("Gadu-Gadu Protocol Plugin"),
-		"description",  N_("Polish popular IM"),
+		"description",  description,
 		"authors",      authors,
 		"website",      PURPLE_WEBSITE,
 		"abi-version",  PURPLE_ABI_VERSION,
-		"extra-cb",     plugin_extra,
 		"flags",        PURPLE_PLUGIN_INFO_FLAGS_INTERNAL |
 		                PURPLE_PLUGIN_INFO_FLAGS_AUTO_LOAD,
 		NULL
 	);
+
+	g_free(description);
+
+	return info;
 }
 
 static gboolean
diff --git a/libpurple/purpleplugininfo.h b/libpurple/purpleplugininfo.h
--- a/libpurple/purpleplugininfo.h
+++ b/libpurple/purpleplugininfo.h
@@ -89,17 +89,6 @@
 typedef GList *(*PurplePluginActionsCb)(PurplePlugin *plugin);
 
 /**
- * PurplePluginExtraCb:
- * @plugin: the plugin associated with this callback.
- *
- * Gives extra information about the plguin.
- *
- * Returns: a newly allocated string denoting extra information
- * about a plugin.
- */
-typedef gchar *(*PurplePluginExtraCb)(PurplePlugin *plugin);
-
-/**
  * PurplePluginPrefFrameCb:
  * @plugin: the plugin associated with this callback.
  *
@@ -255,10 +244,6 @@
  *     <entry>(#PurplePluginActionsCb) Callback that returns a list of
  *       actions the plugin can perform.</entry>
  *   </row>
- *   <row><entry><literal>"extra-cb"</literal></entry>
- *     <entry>(#PurplePluginExtraCb) Callback that returns a newly
- *       allocated string denoting extra information about a plugin.</entry>
- *   </row>
  *   <row><entry><literal>"pref-frame-cb"</literal></entry>
  *     <entry>(#PurplePluginPrefFrameCb) Callback that returns a
  *       preferences frame for the plugin.</entry>
@@ -297,19 +282,6 @@
 PurplePluginActionsCb purple_plugin_info_get_actions_cb(PurplePluginInfo *info);
 
 /**
- * purple_plugin_info_get_extra_cb:
- * @info: The plugin info to get extra information from.
- *
- * Returns a callback that gives extra information about a plugin. You must
- * free the string returned by this callback.
- *
- * Returns: (transfer none): The callback that returns extra information about a plugin.
- *
- * Since: 3.0.0
- */
-PurplePluginExtraCb purple_plugin_info_get_extra_cb(PurplePluginInfo *info);
-
-/**
  * purple_plugin_info_get_pref_frame_cb:
  * @info: The plugin info to get the callback from.
  *
diff --git a/libpurple/purpleplugininfo.c b/libpurple/purpleplugininfo.c
--- a/libpurple/purpleplugininfo.c
+++ b/libpurple/purpleplugininfo.c
@@ -34,9 +34,6 @@
 	/* Callback that returns a list of actions the plugin can perform */
 	PurplePluginActionsCb actions_cb;
 
-	/* Callback that returns extra information about a plugin */
-	PurplePluginExtraCb extra_cb;
-
 	/* Callback that returns a preferences frame for a plugin */
 	PurplePluginPrefFrameCb pref_frame_cb;
 
@@ -54,7 +51,6 @@
 enum {
 	PROP_0,
 	PROP_ACTIONS_CB,
-	PROP_EXTRA_CB,
 	PROP_PREF_FRAME_CB,
 	PROP_PREF_REQUEST_CB,
 	PROP_FLAGS,
@@ -120,9 +116,6 @@
 		case PROP_ACTIONS_CB:
 			priv->actions_cb = g_value_get_pointer(value);
 			break;
-		case PROP_EXTRA_CB:
-			priv->extra_cb = g_value_get_pointer(value);
-			break;
 		case PROP_PREF_FRAME_CB:
 			priv->pref_frame_cb = g_value_get_pointer(value);
 			break;
@@ -157,10 +150,6 @@
 			g_value_set_pointer(value,
 					purple_plugin_info_get_actions_cb(info));
 			break;
-		case PROP_EXTRA_CB:
-			g_value_set_pointer(value,
-					purple_plugin_info_get_extra_cb(info));
-			break;
 		case PROP_PREF_FRAME_CB:
 			g_value_set_pointer(value,
 					purple_plugin_info_get_pref_frame_cb(info));
@@ -247,11 +236,6 @@
 		"Callback that returns list of plugin's actions",
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
-	properties[PROP_EXTRA_CB] = g_param_spec_pointer(
-		"extra-cb", "Extra info callback",
-		"Callback that returns extra info about the plugin",
-		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
-
 	properties[PROP_PREF_FRAME_CB] = g_param_spec_pointer(
 		"pref-frame-cb", "Preferences frame callback",
 		"The callback that returns the preferences frame",
@@ -330,17 +314,6 @@
 	return priv->actions_cb;
 }
 
-PurplePluginExtraCb
-purple_plugin_info_get_extra_cb(PurplePluginInfo *info) {
-	PurplePluginInfoPrivate *priv = NULL;
-
-	g_return_val_if_fail(PURPLE_IS_PLUGIN_INFO(info), NULL);
-
-	priv = purple_plugin_info_get_instance_private(info);
-
-	return priv->extra_cb;
-}
-
 PurplePluginPrefFrameCb
 purple_plugin_info_get_pref_frame_cb(PurplePluginInfo *info) {
 	PurplePluginInfoPrivate *priv = NULL;
